#include "ofApp.h"

//--------------------------------------------------------------
void ofApp::setup(){	
    //ENVIRONMENT
    ofxAccelerometer.setup();
    //SETUP
    for(int i=0;i<2;i++){
        Triangle newTri;
        newTri.setup(ofRandomWidth(),ofRandomHeight());
        tri.push_back(newTri);
    }
}

//--------------------------------------------------------------
void ofApp::update(){
    for(int i=0;i<tri.size();i++){
        tri[i].update();
    }
}

//--------------------------------------------------------------
void ofApp::draw(){
    for(int i=0;i<tri.size();i++){
        tri[i].draw();
    }
}

//--------------------------------------------------------------
void ofApp::exit(){

}

//--------------------------------------------------------------
void ofApp::touchDown(ofTouchEventArgs & touch){
    if(touch.id==0){
        for(int i=0;i<tri.size();i++){
            tri[i].checkSelection(touch.x,touch.y);
        }
    }

}

//--------------------------------------------------------------
void ofApp::touchMoved(ofTouchEventArgs & touch){
    for(int i=0;i<tri.size();i++){
        if(tri[i].selected){
            tri[i].posX=touch.x;
            tri[i].posY=touch.y;
        }
    }
}

//--------------------------------------------------------------
void ofApp::touchUp(ofTouchEventArgs & touch){
    if(touch.id==0){
        for(int i=0;i<tri.size();i++){
            tri[i].selected=false;
        }
    }

}

//--------------------------------------------------------------
void ofApp::touchDoubleTap(ofTouchEventArgs & touch){
    Triangle newTri;
    newTri.setup(touch.x,touch.y);
    tri.push_back(newTri);

}

//--------------------------------------------------------------
void ofApp::touchCancelled(ofTouchEventArgs & touch){
    
}

//--------------------------------------------------------------
void ofApp::lostFocus(){

}

//--------------------------------------------------------------
void ofApp::gotFocus(){

}

//--------------------------------------------------------------
void ofApp::gotMemoryWarning(){

}

//--------------------------------------------------------------
void ofApp::deviceOrientationChanged(int newOrientation){

}
